<?xml version="1.0" encoding="UTF-8" ?>
<templates xml:space="preserve">

    <t t-name="web.TranslateMenu">
        <Dropdown
            class="'o_translate_manager'"
            beforeOpen="getElements"
            position="'bottom-end'"
            menuClass="env.inDialog ? 'btn btn-link' : ''"
        >
            <button type="button" class="o-dropdown--narrow btn btn-link">
                <i class="fa fa-language" role="img" aria-label="Open translate tools" />
            </button>
            <t t-set-slot="content">
                <t t-foreach="elements" t-as="element" t-key="element_index">
                    <DropdownItem t-if="element.type == 'item'" onSelected="element.callback" t-att-attrs="element.href ? {href: element.href} : undefined">
                        <t t-esc="element.description" />
                    </DropdownItem>
                    <div t-if="element.type == 'separator'" role="separator" class="dropdown-divider" />
                    <t t-if="element.type == 'component'" t-component="element.Component" t-props="element.props" />
                </t>
            </t>
        </Dropdown>
    </t>

</templates>
